About Matrix Y2K

Matrix Y2K is made by M.A. van IJperen. I create software in my spare time.

A couple of years ago I started to create websites, but the software was too expensive or it didn't work the way I liked for it to work. So I thought, 'why not make my own software', and from there on out I created Matrix Y2K.

The first version came out around 1999. This was a basic text editor with some extra options. I got more experience in programming and the software got better too. But, after a couple of updates, I thought, 'this is not good enough,' so I started from scratch to create the ultimate tool. This was around the end of 2001.

And from here I have upgraded the software and added more features. The idea behind Matrix Y2K is to create a simple and clear editor. A little knowledge of HTML is required. But when you know how to program your site in code, you know that that's the best way to do it.

I hope you will enjoy this version of Matrix Y2K. Suggestions and comments are always welcome. They only help to improve the software.

Created by M.A. van IJperen - Official website : http://www.crystalfibers.com - The Netherlands.


Adding a Table

How does it work and what means what ?

Quote Type
Here you can select which type of quotes are used when the HTML is generated for the table.

Cell Properties

The first field "Columns" specifies how many columns you need. In the second field "Rows" you can specify how many rows you need. You can make the table as big as you want, but a table too big could crash a browser or result in long download time of the web page. (By big I mean 1000 x 1000 !)

What does Cellpadding mean ?

Cell padding specifies the number of pixels to show between the data and the cell edges. See examples below.

Example 1. Cellpadding set to 5.

Left Heading 1 | Left Heading 2
Cell Padding = 5 | Cell Padding = 5

Example 2. Cellpadding set to 10.

Right Heading 1 | Right Heading 2
Cell Padding = 10 | Cell Padding = 10

What does Cellspacing mean ?

Cell spacing specifies the number of pixels to show between cells. See examples below.

Example 1. Cellspacing set to 5.

Heading 1 | Heading 2
Cell Spacing = 5 | Cell Spacing = 5

Example 2. Cellspacing set to 10.

Heading 1 | Heading 2
Cell Spacing = 10 | Cell Spacing = 10

What does Alignment mean ?

The alignment specifies if the table is centered in the middle of the document or if it's set to the right or left side of the document.

Align Right
Does the same thing, with the table aligned to the right side of the page. Text outside the table will wrap to the left. Centering tables is slightly more difficult

Align Center- not supported
Currently, no browsers support ALIGN="CENTER" on tables. However, you can use the CENTER tags or DIV ALIGN="CENTER" tags to center the table and Matrix Y2K uses the CENTER tag for centering the table. If using a Cascading Style Sheet to center a table, use margins to center a table.

Align Left
Aligns the table along the left margin, and all text following that table is wrapped in the space between that table and the right side of the pages.

Table Width
Table width specifies how wide your table will be. If you fill in 100%, then the table will be as wide as 100% of the width of your document. But you can also fill in, for example, "200" then the table will have a fixed size regardless of the size of your document.

Background Color
Here you can specify the background color of the table. This will color the whole background of the entire table. To set the background color for each row, column or individual cells, you will need to insert the background tag within their respective elements, e.g., tr bgcolor="blue" or td bgcolor="green".

Background Image
Here you can specify a image for the background of the table. Use the " ... " button to search for your image.

Use Border
If you would like to have a border around your table then check this box here. Doing so will activate the rest of the border selections.

Size
Enter size of your border here. This changes the thickness of the table border (part that surrounds the outside of the table) by using the table tag's 'border' attribute.

Border Color
Here you can select the color of the border of the table. Click in the window to bring up the color palette.

"Bordercolorlight" and "Bordercolordark"
If your browser supports these attributes, you can give your border a 3D look by selecting the proper color combinations.


Crystalfibers.com

Main Button Bar

1. | Create a new document
2. | Open a document
3. | Save a document
4. | Save all open documents
5. | Close a document
6. | Copy
7. | Paste
8. | Cut
9. | Undo
10. | Redo
11. | Search
12. | Search and replace
13. | Image Browser
14. | Preview document
15. | Load external browser
16. | Load external FTP Client
17. | Configuration Screen
18. | Help

Short Cuts

Help | F1
Open The Image Browser | F8
Open preview window | F9
Close preview window | F10
Open/Close Filemanager | F11
Load external browser | F12
Configuration Screen | CTRL + F5
Add a table | CTRL + T
Undo | CTRL + Z
Redo | Shift + CTRL + Z
Bold | CTRL + B
Underline | CTRL + U
Italic | CTRL + I
Strikethrough | CTRL + Y
Cut | CTRL + X
Copy | CTRL + C
Paste | CTRL + V
Create a new document | CTRL + N
Open a document | CTRL + O
Save a document | CTRL + S
Import *.rtf document | F6
Import *.doc document | F7
Search | CTRL + F
Search and replace | CTRL + R
Find previous | CTRL + F2
Find next | F3
Select All | CTRL + A
Text formatting | F4
Code Inside | CTRL + J : Click here to learn more about Code Inside.
Go to line ... | CTRL + G
Line Break | CTRL + ENTER
Previous document | CTRL + TAB
Next document | CTRL + SHIFT + TAB
Place bookmark | CTRL + SHIFT + NUMBER
Go to bookmark | CTRL + NUMBER


Character Map

With the character map you can add special characters to your document by clicking on the character of your choice. When you move over a character, you will see a larger version of the character on the right. You can choose to add the character as HTML code but you can also just add the character itself.

See the image below.

When you're done adding characters you can press Close to close the screen.


Configuration Screen

Editor Options

Auto Indent

Will indent the text automatically.

Show Scroll Hint

This will show a hint while you scroll in your document. The hint will show in the lower left corner. It shows the line number and column position. Works only if you drag the vertical scrollbar.

Use Line Numbers

This will show line numbers in the gutter. If this option is unchecked with document(s) already open, you will have to close and re-open the document(s) for the change to take effect. Refresh (F5) will not reformat document to show change

Use Syntax Highlighting

When box is checked, will color code your document according to the default color codes set for each document type and attribute (see additional information for changing color codes under Syntax Highlighting ).

Use Gutter

This will add a gutter to your edit window which will show the line numbers. If this option is unchecked with document(s) already open, you will have to close and re-open the document(s) for the change to take effect. Refresh (F5) will not reformat document to show change.

Gutter Width

Determines the width of the gutter.

Block Indent

Is used to specify the indent size when you use indent with shift + ctrl + i to indent and shift + ctrl + u to unindent. This feature is very handy to help you shape your code so it is easier to understand. Highlight portion to be indented/unindented using the mouse or shift + arrow keys before performing block indent.

Tabs to Spaces

This will convert tabs to space characters

Show Special Characters

This will show all special characters in your document like enters, spaces, tabs, etc.

Use Margin

Here you can enable/disable the margin line.

Editor Font Style

This is the style of the font used in the editor. You can only use fonts that have a fixed pitch.

Edit window background color

Here you can change the background color of the edit window.

Default Character Set

Here you can choose your desired character set.

Text Styles

When you would add text with the text formatting it will then use this as a default setting.

Operations

Double click to open a file

Here you can choose if you would like to open a document from the File Manager with one click or a double mouse click.

Do not open the same file twice

This will prevent the opening of two of the same files. Instead it will bring up the already opened file.

Use XP Look

Here you can turn XP Look on or off

Notify to save before closing a document

Check the box "Notify to save before closing a document" if you would like to be reminded that you need to save a file before you can close it. (Tip : Should always be checked so that, when you have edited a document, it will ask you if you wish to save !)

Do not show document manager on startup.

If you select this option, then the Document Manager will not load on startup of Matrix Y2K.

Bracket Matching

Misplaced and unmatched brackets are one of the most common syntax errors encountered when writing code. Positioning the caret immediately before or after a bracket will highlight the corresponding closing or opening bracket.

The background color is used to change the color of the bracket. (Tip: Keep foreground color the same as the background color of the editor.)

Clear Recent Files

This will clear the recent file list of Matrix Y2K.

Language Configuration

Language Pack
From here you can click on the button "..." to select another language plugin to set Matrix Y2K in any language you want. (If it's avialable.).

Choose Default Helpfile Language
Here you can select another helpfile in any language (If it's available.)

Path Configuration

FTP Path

Here you can give up the path to your favorite ftp program. Use the '...' button to browse for file. Path will be automatically inserted.

GFX Editor

Here you can give up the path to your favorite graphics program. Use the '...' button to browse for file. Path will be automatically inserted

Browser Path

Here you can give up the path to your favorite browser. You can add as many browser as you need. From within Matrix Y2K you can choose in which browser you wish to preview your document. Use the '...' button to browse for file. Path will be automatically inserted

Set selected browser as default

Select a browser from the list and click on "Set selected browser as default" to set the selected browser as default.

Remove a browser from the list.(Note: Removed period)

Just double click on a browser in the list to remove it.

Elements path

This is the location of the elements file which is used for the tag library. Path set by default.

Code Inside Configuration

hr

How does code inside work ? Click here to read it now.

Syntax Highlighting

Setup a highlighter
Here you can setup your personal syntax highlighters. Select a highlighter of choice and an attribute, then set the foreground and background color and additional text style settings like bold, italic etc...

Setup a highlighter with a document
You can also open a document (Click on import). Then inside your document you can click on attributes (see the dropdown box) if you know your way around attributes then put your mouse over an attribute then you can set the color and font settings. And now when you load a new document you will see your personal color settings. For example open a html file and see the items that are coloured these are attributes just click on an item and set a new color don't forget to save !

Saving the highlighter Finally press "Save Changes" to save your highlighter to the registry.


Code Inside

What is Code Inside ?

Code Inside is a library with pre-formatted code which you can access with key words.

How to add a new code inside to the library

Press "Add Code " then the following window will open ...

What you need to fill in ?

- In the first box ( Short Code ) you need to fill in the Key word which will invoke the code.

- In the second box ( Comments ) you can add a comment about the code.

- Choose your desired highlighter.

- In the Main edit window you can add your script or code. But you can also click on the button "Import" to load a file into the edit window.

How does it work ?

Let's say for example we would have a short code called "hr" and your script is "<HR Size=1 Color=Black> ".

Now type in your document : "hr" ( without the quotes ) and then press Ctrl + J to invoke the code. Now your short code is replaced by the script you filled in. So now you can create a library with all your codes you frequently use.

Delete Selected ?

With Delete Selected you can erase a code from the library. Just select a key code or comment then press Delete Selected to delete.

Export Code Inside

If you would like to share or give someone your library then you can export it to any location you want by pressing Export Code Inside. This is very handy if you are involved in a team project. Also great to use to export your library to disk or another directory as a backup copy. Highly recommend that backups be made.

Import Code Inside

To insert a library from someone else, you can insert the library by pressing Import Code Inside. Your original library will be overwritten in this process ! A good reason to use Export Code Inside to save a copy of original as a backup.


Documents

Previewing your document.

You can preview your document without saving it ! A temporary file is created which is also removed after the preview. You also don't have to save your document if you would like to preview it in an external browser. The only difference is that these temporary files are removed after you close down the application.

Importing documents.

If you would choose File then Import, then you will see that you can import two sorts of document which are Rich Text Files ( *.rtf ) and Word documents ( *.doc ). These files can be imported as a new file, but they can also be inserted at cursor position, which means that the contents will be added to an open document.

Export to RTF.

If you would choose File then Export, then you will see that you can Export, your document to Rich Text Files ( *.rtf ). Then you can have your html document as a RTF document. This will show all of your code including tags.

Right Mouse Click

If you have created a new document or if you have a document already opened, right click with mouse button to bring up several options as shown in screen shot below :

For example : In the editor you can select a part of text then when you click on "Bold" it will set the selected part of text in bold. This option works for all text related items. You may also use the Tools and Tag Library to insert tags, images, links, etc. Put document cursor at point of insertion, then choose the tool or tag you wish inserted.


Documents Manager

With the Documents Manager you can open default documents. The Documents manager can be loaded on startup of Matrix Y2K or you can press "CTRL + N".

If you don't want to load the Document Manager on startup of Matrix Y2K, then check the box "Do not show document manager on startup". This can be changed to show on startup again by selecting Options and Toolbars menu, then select the Configuration Screen and click on Operations tab. Uncheck box under Startup Options. When choice is not to show Document Manager at startup, you must use Ctrl + N to select.

You can open standard documents like :

  • Empty document
  • Html
  • Php
  • Css
  • XHtml

But you can also create your own standard documents through "My Documents" which you can find on the second tabsheet.

Create a new standard document

1. Create a new standard document.
2. Edit selected document.
3. Delete selected document.

If you create a new document then you will see the screen below :

1. Name : Here you need to fill in the name of your standard document. For example : php script 1.
2. Change Highlighter : Select the highlighter that you want to attach to your standard document.
3. Import : Click on import to import a whole document.
4. You can also type your own code in the edit screen.
5. Click on Ok to save your standard document or choose Cancel to exit.


File manager

With the file manager you can open all sorts of documents, you can edit any document you like. Known documents like HTML, PHP, ASP etc... will open with the assigned Syntax Highlighter.Images will be loaded directly into the image viewer.

File manager.

You can see a "X" at the top of the file manager. If you click on the "X", it will hide the filemanager. Press F11 to get the filemanager back. (See Buttons and Shortcuts for more help).

In the file manager you have two parts, the part where you can select a drive and the part where you can select a file. You can also right click on either a drive, folder or file then you will have the options to create/delete, copy, paste a folder or file. The filemanager auto refreshes but you can do it manually by clicking on F5. See image below.

File Manager ( Top Mouse Menu ):

- New -> Create Folder -> Will create a new folder on disk.
- Cut -> Will cut the selected file(s) and store contents in ClipBoard.
- Copy -> Will copy the selected file(s).
- Paste -> Will paste the selected file(s) to the desired location.
- Remove -> Will remove the files to the recycle bin. If you hold down Shift key, the files will be permanently removed.
- Properties -> Will show the properties of the file,folder etc...

File Manager ( Bottom Mouse Menu ):

- Open selected files -> Will open the selected file(s).
- New -> Create Folder -> will create a new folder on disk.

- Insert selected file -> Will insert the selected file. You can choose the following options based on file types! :
  • Insert complete file will insert the whole file.
  • Include file will include the file.
  • Insert as hyperlink.
  • Insert image

- Cut -> Will cut the selected file(s) and store contents to ClipBoard.
- Copy -> Will copy the selected file(s).
- Paste -> Will paste the selected file(s) to the desired location.
- Rename the selected file -> Will rename the selected file.
- Edit graphic -> Will open the graphic in the graphics editor you selected.
- Remove -> Will remove the files to the recycle bin. If you hold down Shift key, the files will be permanently removed.
- Select All -> Will select all files.
- Properties -> Will show the properties of the file,folder etc...

* A few functions of the bottom mouse menu are also integrated into the right side of the filemanager.


 HTTP SERVER

The HTTP Server in Matrix Y2K is a new and very advanced feature. With the HTTP Server you can parse PHP pages locally on your system without the need of uploading it to your webserver. The only thing you need to do is download the PHP software from http://www.php.net and set the right settings in Matrix Y2K and turn on the HTTP Server.

The HTTP Server has a few parts which I will explain here :

Starting the HTTP Server

To start the HTTP Server click on the checkbox in front of "Disabled"

Tabsheet "Server Settings"

- Root : Here you need to fill in where your webpages are served from
- Port : Here you need to fill in the port you wish to use for your server. Default is 80

Tabsheet "PHP Settings"

- PHP.exe location : When you have installed PHP on your system, you will also have PHP.exe for PHP4 and php-cgi.exe for PHP5 installed. Enter the path and filename of the executables here.
- PHP Inifile path : When you have installed PHP on your system, you will also have an ini file for php where you have configured your settings. Just enter the path to that ini file without the filename.

Tabsheet "Security"

Check the checkbox "Require Authentication" when you want other users to identify themselves when previewing PHP pages. If you check the box, two boxes will appear where you can enter your desired username and password. See picture below:

Starting the HTTP Server

1. Make sure all of your settings are correct. (Settings are auto saved!)
2. Click on "Disabled" Now the text will be "Enabled"

When you now preview a page, a temporary file will be created at "http://127.0.0.1:80/mtx_tmp~index.php." http://127.0.0.1:80 is a direction to the root directory on port "80".

So if your page uses images, includes, etc., then make sure that they are located in the root! Otherwise you will not see the page as you would have liked.

For support on how to configure PHP I advise you to check out the following site: http://www.php.net

In the status window you will see messages from the server, not so interesting but handy to see.


Controleer links

Language Plugins

Matrix Y2K can be set in any language with the plugin system. You can create a plugin with any text editor. No programming skills required.

Set another language

On the menubar click "Configuration Screen -> Choose another language" See picture below:

You may also open Configuration Screen with Ctrl + F5 or select Options and Toolbars from menu at top, expand menu item Configuration Screen with mouse-over and make selection. You will see the screen below, if you clicked on Configuration Screen and then the Language Configuration tab, or if you clicked on "Choose another language..." in the menu selection

Now you will see the screen below:

.

Set a new language

Click on the button " ... " under Language Pack to choose another language plugin. Matrix Y2K will then be set in another language. Use the same procedure to select the language you wish to use for the Help file. Now the application is in a new language without the need of restarting ;)


License

Except where otherwise noted, all of the documentation and software included
in the Matrix Y2K © package is copyrighted by M.A. van IJperen.

Copyright (C) 1998-2005 M.A. van IJperen. All rights reserved.

This software is provided "as-is," without any express or implied warranty.
In no event shall the author be held liable for any damages arising from the
use of this software.

Permission is granted to anyone to use this software personal or commercial
and to redistribute it in anyway, provided that the following conditions are met:

1. All redistributions must retain all copyright notices that are currently in place,
and this list of conditions without modification.

2. All redistributions must retain all occurrences of the
above copyright notice and web site addresses that are currently in
place (for example, in the Info screen Help > Info).

3. No modifications may be made to the software or installation files.
Redistributions must contain official setup files, if you think that the setup file
is not official then please notify us at info@crystalfibers.com

An official version can be downloaded from the official website
[http://www.crystalfibers.com].

M.A. van IJperen
software@crystalfibers.com
http://www.crystalfibers.com


Print Document

You can print the document in color with syntax highlighting and with line numbers if you want that.

To print selected text only :

- Select the part of text you wish to print.

- Go to file menu and choose print document.

Then you will be asked if you wish to print the whole document or only the selected text. Here you need to choose " No ".

Then the following window will open.

Here you can choose if you want to print the document in color with syntax highlighting. Now choose Print to print your document.

To print the whole document

- Go to file menu and choose print document.

( If you have a piece of text selected you will be asked if you wish to print the whole document or only the selected text. Here you need to choose " Yes ". )

Then the following window will open:

Here you can choose if you want to print the document in color with syntax highlighting. Now choose Print to print your document.


Crystalfibers.com

Project Manager

The Project Manager is handy if you have many sites which are all located at a different location on your hard disk or any other media. It's like making shortcuts to directories.

Menu of the Project Manager

1. New project
2. Add a project
3. Delete a whole project (This will only delete it from the Project Manager !)
4. To edit a project (The pad for example c:\mywebsites), select a project (path) and click on the right mouse button and choose "Edit"

Add a new project

When you click on button 1 (See menu of project manager). Then you will see the following screen :

At first you need to select a directory on one of your drives. Then you can enter a project name in the edit box. Then press on "Ok". Now you have created your first project.

Add a project

If you have one project but it has files spread around your drives then you can add a sub project. First select a project where you want to add the sub project. Then click on button 2 (See menu of project manager).

Now you will see the screen below :

Now you need to select a directory and then press ok. Now you have added a sub project.

Delete a project

Select a project of your choice and then press on button 3 (See menu of project manager)

Going to a project

Just click on the project of your choice and the File Manager will go to the right directory. (If you click on the name it will go to the first sub project).


Support

Support or Questions

You can get support in several ways. You can always contact me through my website or just drop a line through email. But you can also discuss things on my forum with other users.

Just pick the way you like best. Comments or suggestions are always welcome. It can only improve the software more.

Official Website http://www.crystalfibers.com
Email software@crystalfibers.com


Crystalfibers.com

The Tools Sheet, provides many tools which you can use to add items to your document or to change text items in your document. Below you can read an explanation of all the functions.

Common Tools

1. Character map: Add special characters to your document.
2. Link/Mailto: Add a link or mail-to to your document.
3. Tables: Table wizard create instant tables and set all the properties.
4. Colormap: Add colors to your document point and click.
5. Image: Add an image to your document.
6. Line Break: Add a new line to your document.
7. Horizontal line: Add a horizontal line to your document.

HTML Forms

1. Sample HTML Form (*)
2. Add a textarea.
3. Add a checkbox.
4. Add a radiobox.
5. Add an editbox.
6. Add an option selector (NOTE : Also known as a combobox).
7. Add a hidden text.
8. Add a password box.
9. Add an image.
10. Add a button.

Sample Form(*)

Click on "button 1". Now you need to fill in your email address. This is needed to send the feedback to. When you have filled in your email address a sample form will be added to your document. You can test the form immediately in the preview screen.

All the objects from button 2 to 9 can be used to extend the sample form or to create a custom form.

HTML Form properties list :
Name: Here You need to fill in a name of the object. You can choose any name you like.
Value: This is visible text for the user.

OnClick: This event is triggered when a user clicks on the object. You could fill in the
following code : alert('This form has no action'); then, when a user clicks on your
object, you would see a dialog popup with the message "This form has no action".

Checked: Checked is used for checkboxes and radioboxes.
Max Length: This will limit the amount of characters which can be typed in.
Size: This will adjust the size of the object.

OnBlur: The OnBlur event occurs when an element loses focus either by the pointing
device or by tabbing navigation.

OnChange: The OnChange event occurs when a control loses the input focus and its
value has been modified since gaining focus.

OnFocus: The OnFocus event occurs when an element receives focus either by the
pointing device or by tabbing navigation.

OnSelect: The OnSelect event occurs when a user selects some text in a text field.

Scripts

1. Date/Time: Add the current date/time to your document.
2. Last update script: Add the last modified date.
3. Alert box: Add a dialog which shows an alert.
4. Question Box: Add a dialog which shows a question.

Text

1. Bold: Will add the bold tag, or when text is selected, it will place
them around the text.

2. Italic: Will add the italic tag, or when text is selected, it will
place them around the text.

3. Underline: Will add the underline tag, or when text is selected, it will
place them around the text.

4. Strike through: Will add the strike through tag, or when text is selected,
it will place them around the text.

5. Align left: This will align the text to the left.
6. Align center: This will align the text to the center.
7. Align right: This will align the text to the right.
8. Justify: This will align the text to the page.
9. Add number: This will add a list with numbers.
10. Add bullets: This will add a list with bullets, squares etc...
11. Heading style: Set the heading style for a part of text.
12. Paragraph tag: Add paragraph tag alignment.
13. Text formatting: Set font style for document or for a selected part of text.


Software bijwerken

Update Console

The Update Console can update separate parts of Matrix Y2K. This saves you in your download time and installation. To use the update console you need an active internet connection.

How to start the update console. Click on :

- Help
- Update Matrix Y2K

Now you will see the screen below:

The update console directly checks if there are updates available for you. When there are updates available then you will see a list of updates which you can download immediately by clicking on the link.


Visual FX

Where are the Scripts ?

No scripts are added to Matrix Y2K. This is not because I don't want to, but if I would add a script now, it could be updated next week. So, therefore, I have decided to provide a list of sites where you can get cool scripts for your website

How to create your first website ?

What do you need ?

- A HTML editor
- How to write pure HTML code

You have found the HTML Editor (Cause you are reading its helpfile). Now you only need to know how to write HTML. This is done easily by visiting the following website:

http://html.about.com/library/beginning/bl_begin.htm?PM=ss11_html

It provides many tutorials and classes to become a HTML Guru !

Dynamic Drive

Is a website which provides all sorts of scripts. They have many scripts with very good documentation on how to use them. And these scripts are always up to date so check out their website:

www.dynamicdrive.com

About.com

At this site you can find scripts to create very cool menus and also many visual effects which you can create with javascript:

www.about.com

If you have a question and you're seeking for an answer, then visit about.com because they have many articles: